/*  $Id: checkbox.cpp,v 1.27 2003/09/18 17:53:29 mbn Exp $
**
**  ClanLib Game SDK
**  Copyright (C) 2003  The ClanLib Team
**  For a total list of contributers see the file CREDITS.
**
**  This library is free software; you can redistribute it and/or
**  modify it under the terms of the GNU Lesser General Public
**  License as published by the Free Software Foundation; either
**  version 2.1 of the License, or (at your option) any later version.
**
**  This library is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
**  Lesser General Public License for more details.
**
**  You should have received a copy of the GNU Lesser General Public
**  License along with this library; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
**
*/

#include "precomp.h"
#include "../API/GUI/checkbox.h"
#include "../API/GUI/component.h"
#include "../API/GUI/stylemanager.h"
#include "API/Core/XML/dom_element.h"

/////////////////////////////////////////////////////////////////////////////
// Construction:

CL_CheckBox::CL_CheckBox(
	CL_Component *parent,
	CL_StyleManager *style)
: CL_Button(parent, style)
{
	set_toggle_mode();
	get_style_manager()->connect_styles("checkbox", this);
	find_preferred_size();
}

CL_CheckBox::CL_CheckBox(
	const std::string &text,
	CL_Component *parent,
	CL_StyleManager *style)
: CL_Button(text, parent, style)
{
	set_toggle_mode();
	get_style_manager()->connect_styles("checkbox", this);
	find_preferred_size();
}

CL_CheckBox::CL_CheckBox(
	const CL_Point &pos,
	const std::string &text,
	CL_Component *parent,
	CL_StyleManager *style)
: CL_Button(pos, text, parent, style)
{
	set_toggle_mode();
	get_style_manager()->connect_styles("checkbox", this);
	find_preferred_size();
}

CL_CheckBox::~CL_CheckBox()
{
}

/////////////////////////////////////////////////////////////////////////////
// Attributes:

bool CL_CheckBox::is_checked() const
{
	return is_down();
}

/////////////////////////////////////////////////////////////////////////////
// Operations:

void CL_CheckBox::set_checked(bool check)
{
	set_down(check);
}
